GlideServletResponse - Scoped

concept australia Updated Sep 10, 2026 1 min read c_GlideServletResponseScopedAPI.md
Raw file servicenow.com

The GlideServletResponse API provides methods to use in processor scripts.

ServiceNow processor scripts are equivalent to Java servlets. Processor scripts provide a customizable URL endpoint that can execute arbitrary server-side JavaScript code and produce output such as TEXT, JSON, or HTML. Use the GlideServletResponse API in processor scripts to access the HttpServletResponse object. The GlideServletResponse object provides a subset of the HttpServletResponse APIs. The methods are called using the global variable g_response.

A useful global variable, g_target, is available in processor scripts. It contains the table name extracted from the URL.

The URL to a processor has the format: https://<instance name.servicenow.com>/<path endpoint>.do?<parameter endpoint>=<value> where the path endpoint and parameter endpoint are defined on the processor form.

Parent Topic:Server API reference

GlideServletResponse - sendRedirect(String location)

Sends a temporary redirect to the client.

Name Type Description
location String The URL to receive the response.
Type Description
void

GlideServletResponse - setContentType(String type)

Sets the MIME type of the response

Name Type Description
type String The MIME type.
Type Description
void
JavaScript
g_response.setContentType('text/html;charset=UTF-8');

GlideServletResponse - setHeader(String key, String value)

Sets a response header to the specified value.

Name Type Description
key String Specifies the header.
value String The value to be assigned to the header. If the header exists, it is overwritten.
Type Description
void
JavaScript
g_response.setHeader("host", "instance.service-now.com");

GlideServletResponse - setStatus(Number status)

Sets the status code for the response.

Name Type Description
status Number The status to be set.
Type Description
void
JavaScript
// set the status to okayg_response.setStatus(200);
Search documentation
Search document titles and file paths on the australia branch